Page MenuHomePhabricator

[mips] MIPS Branch on Coprocessor 2 Instructions
Needs RevisionPublic

Authored by sdardis on Oct 28 2014, 8:09 AM.

Details

Summary

This patch adds support for the BC2F and BC2T MIPS instructions. Besides the
support, corresponding assembler and dissasembler tests are also added.

Patch By: Igor Petkovic

Contributions from: Simon Dardis

Event Timeline

ipetkovic updated this revision to Diff 15524.Oct 28 2014, 8:09 AM
ipetkovic retitled this revision from to [mips] MIPS Branch on Coprocessor 2 Instructions.
ipetkovic updated this object.
ipetkovic edited the test plan for this revision. (Show Details)
ipetkovic added a subscriber: petarj.
dsanders requested changes to this revision.Nov 3 2014, 3:36 AM
dsanders edited edge metadata.

Could you bring back the tests you deleted as explained below.

Other than that, there's just the one nit.

lib/Target/Mips/MipsInstrFormats.td
818

I'd prefer to have a separate BC2F_FM class.

test/MC/Mips/mips32r6/invalid-mips1-wrong-error.s
8–9

These tests should be moved to the invalid-mips1.s test if they now produce the correct error message. At the moment, you seem to have deleted the test.

Similarly for the other invalid*.s tests

This revision now requires changes to proceed.Nov 3 2014, 3:36 AM
ipetkovic updated this revision to Diff 15801.Nov 5 2014, 2:11 AM
ipetkovic edited edge metadata.

Nits are fixed and tests are returned and moved in to right files.

dsanders accepted this revision.Nov 5 2014, 7:27 AM
dsanders edited edge metadata.

Thanks. LGTM

This revision is now accepted and ready to land.Nov 5 2014, 7:27 AM
seanbruno requested changes to this revision.Sep 26 2016, 7:05 AM
seanbruno added a reviewer: seanbruno.
seanbruno added a subscriber: seanbruno.

This looks like it needs to be refreshed to a more current trunk if possible before its committed.

This revision now requires changes to proceed.Sep 26 2016, 7:05 AM
sdardis commandeered this revision.Feb 2 2017, 7:14 AM
sdardis edited reviewers, added: ipetkovic; removed: sdardis.
sdardis edited edge metadata.

Commandeering for update.

sdardis updated this revision to Diff 86806.Feb 2 2017, 7:16 AM
sdardis edited edge metadata.
sdardis edited the summary of this revision. (Show Details)

Updated to trunk. Added micromips versions of instructions.

sdardis updated this revision to Diff 86811.Feb 2 2017, 7:29 AM

Missed the Octeon exclusions from these instructions.

dsanders resigned from this revision.Jul 18 2019, 7:01 PM
This revision now requires changes to proceed.Jul 18 2019, 7:01 PM